.zkuivideo {
    position: relative;
    display: block;
    overflow: hidden;
    user-select: none;
    background-color: black;
}

.zkuivideo * {
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    -webkit-tap-highlight-color: transparent;
}

.zkv-overlay {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    z-index: 11;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
}

.zkuivideo video {
    position: relative;
    z-index: 5;
    display: block;
    width: 100%;
    background-color: black;
    -webkit-appearance: none;
}

.zkuivideo .zkv-toolbar {
    box-sizing: border-box;
    display: flex;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 100;
    width: 100%;
    height: 40px;
    padding: 0 6px;
    transition: opacity ease .5s;
}

.zkuivideo .zkv-toolbar.zkv-toolbar-hide {
    opacity: 0;
}

.zkv-playbtn {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    cursor: pointer;
}

.zkv-playicon {
    display: inline-block;
    width: 18px;
    height: 18px;
    transform: rotate(90deg);
    transition: all ease .5s;
}

.zkv-playbtn .zkv-playicon:before {
    position: absolute;
    top: 0px;
    left: 1px;
    display: inline-block;
    content: "";
    width: 0;
    height: 0;
    border-bottom: white solid 18px;
    border-left: transparent solid 9px;
    transition: all ease .5s, border-left ease .1s;
}

.zkv-playbtn .zkv-playicon:after {
    position: absolute;
    top: 0px;
    left: 10px;
    display: inline-block;
    content: "";
    width: 0;
    height: 0;
    border-bottom: white solid 18px;
    border-right: transparent solid 9px;
    transition: all ease .5s, border-right ease .1s;
}

.zkv-playbtn.zkv-pausestate .zkv-playicon {
    transform: rotate(0deg);
}

.zkv-playbtn.zkv-pausestate .zkv-playicon:before {
    border-bottom: white solid 18px;
    border-left: white solid 4px;
    left: 0px;
}

.zkv-playbtn.zkv-pausestate .zkv-playicon:after {
    border-bottom: white solid 18px;
    border-right: white solid 4px;
}

.zkv-process {
    flex: 1;
    display: flex;
}

.zkv-process-con {
    flex: 1;
    height: 2px;
    border-radius: 2px;
    background-color: rgba(0, 0, 0, .3);
    margin-top: 20px;
}

.zkv-playtime,
.zkv-alltime {
    padding-right: 10px;
    line-height: 40px;
    font-size: 12px;
    color: white;
}

.zkv-alltime {
    padding-right: 0;
    padding-left: 10px;
}

.zkv-process-in {
    display: block;
    height: 100%;
    background-color: rgba(0, 0, 0, .8);
}

.zkv-process-circle {
    position: relative;
    float: right;
    width: 15px;
    height: 15px;
    margin: -7px -8px 0 0;
    border-radius: 8px;
    background-color: white;
    cursor: pointer;
}

.zkv-process-circle:after {
    display: block;
    width: 40px;
    height: 40px;
    position: absolute;
    left: -15px;
    top: -15px;
    content: "";
}

.zkv-toolbtns {
    height: 40px;
    white-space: nowrap;
}

.zkv-btn {
    position: relative;
    display: inline-block;
    height: 40px;
}

.zkv-btn img {
    display: block;
    height: 40px;
}

.start_layer {
    background-color: black;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: black;
    z-index: 21;
}

.start_layer img {
    cursor: pointer;
}

.error_layer {
    color: white;
    font-size: 12px;
}

.error_layer> div {
    margin-top: 5px;
}

.loading_layer img {
    animation: loading_layer_anime linear 1s infinite;
}

@keyframes loading_layer_anime {
    0% {
        transform: rotateZ(0deg);
    }
    100% {
        transform: rotateZ(360deg);
    }
}

.play_icon,
.play_icon_pause {
    width: 50px;
    height: 50px;
    background-size: cover;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGQAAABkCAMAAABHPGVmAAAAQlBMVEVMaXH///////////////////////////////////////////////////////////////////////////////////83sySiAAAAFXRSTlMABAuHWNf553TxIpxIqzAXyTq3EmUzLK5RAAAA3ElEQVR42u3X3QqCQBRF4fJv1NKyPO//qkE3GzpEN62BYn8vsGDa2ngwMzMzM/tB49SPDR2ZIqJ0cCSebmuFSAztHY48lR2MyHUFI3K6gxH6zOLFdQMjcrpwEZnGIxeRfgMjslyACHtm8VZ/BiOyzFxEhrEBItCZxSe3mYvI0DZcREoHRmQ5chHpakTaGpHtCxH4l48aG44aT2PQ7xVF4H+VEO5OEcLdjoDZZsBsM2C2GTDbDJhtBs02R/APoTRbQpotId0XCWm2BM0WNOmrl7OXsqwHMzMzM7O/8wDP51Oi6dDofQAAAABJRU5ErkJggg==);
}

.play_icon_pause {
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAGQAAABkCAMAAABHPGVmAAAAIVBMVEVMaXH///////////////////////////////////////8c1D1MAAAACnRSTlMA99cejUjwhJKV0+sQiwAAAJBJREFUeNrt2EEKwzAMRNGOZDuJ7n/g0hCc0gZtBC2B/7az+HgpPwAAAIAb8tUkW/1ya6+tebXRR+xGv9gUO/XiO0Ychn9tioNqb1liWj63FlMrRSwmS7cKxaR0q4g32UaECBEiRIgQIUKECBEiRH5wzv3/MM3P6HyrfxakW8n5tZFuRb6ZZFv+gQMAAADczxNzNCfZ+Z8+YQAAAABJRU5ErkJggg==);
}

.layer_player_btn {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 20;
    transform: translate(-50%, -50%);
    opacity: 1;
    transition: opacity ease .5s;
}

.layer_player_btn.hide_layer_player_btn {
    opacity: 0;
}
